## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLValueFunctionValidateElementImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLValueFunctionValidateElementImpl

All Implemented Interfaces:
  SQLQueryObject, SQLObject, XMLValueFunctionValidateElement

    public class XMLValueFunctionValidateElementImpl

extends SQLQueryObjectImpl
implements XMLValueFunctionValidateElement

An implementation of the model object 'XML Value Function Validate Element'.

The following features are implemented:

- `Validate Element Namespace`
- `Validate Element Name`
- `Validate According To`

Method Summary
`NotificationChain` `basicSetValidateAccordingTo(XMLValueFunctionValidateAccordingTo newValidateAccordingTo, NotificationChain msgs)`
`NotificationChain` `basicSetValidateElementName(XMLValueFunctionValidateElementName newValidateElementName, NotificationChain msgs)`
`NotificationChain` `basicSetValidateElementNamespace(XMLValueFunctionValidateElementNamespace newValidateElementNamespace, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`XMLValueFunctionValidateAccordingTo` `getValidateAccordingTo()`
`XMLValueFunctionValidateElementName` `getValidateElementName()`
`XMLValueFunctionValidateElementNamespace` `getValidateElementNamespace()`
`void` `setValidateAccordingTo(XMLValueFunctionValidateAccordingTo newValidateAccordingTo)`
`void` `setValidateElementName(XMLValueFunctionValidateElementName newValidateElementName)`
`void` `setValidateElementNamespace(XMLValueFunctionValidateElementNamespace newValidateElementNamespace)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getValidateElementNamespace

    public XMLValueFunctionValidateElementNamespace getValidateElementNamespace()

  Specified by:
    `getValidateElementNamespace` in interface `XMLValueFunctionValidateElement`
  Returns:
    the value of the 'Validate Element Namespace' containment reference.
  See Also:
    `XMLValueFunctionValidateElement.setValidateElementNamespace(XMLValueFunctionValidateElementNamespace)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateElement_ValidateElementNamespace()`, `XMLValueFunctionValidateElementNamespace.getValidateElement()`

### basicSetValidateElementNamespace

    public NotificationChain basicSetValidateElementNamespace(XMLValueFunctionValidateElementNamespace newValidateElementNamespace,
                                                              NotificationChain msgs)

### setValidateElementNamespace

    public void setValidateElementNamespace(XMLValueFunctionValidateElementNamespace newValidateElementNamespace)

  Specified by:
    `setValidateElementNamespace` in interface `XMLValueFunctionValidateElement`
  Parameters:
    `newValidateElementNamespace` - the new value of the 'Validate Element Namespace' containment reference.
  See Also:
    `XMLValueFunctionValidateElement.getValidateElementNamespace()`

### getValidateElementName

    public XMLValueFunctionValidateElementName getValidateElementName()

  Specified by:
    `getValidateElementName` in interface `XMLValueFunctionValidateElement`
  Returns:
    the value of the 'Validate Element Name' containment reference.
  See Also:
    `XMLValueFunctionValidateElement.setValidateElementName(XMLValueFunctionValidateElementName)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateElement_ValidateElementName()`, `XMLValueFunctionValidateElementName.getValidateElement()`

### basicSetValidateElementName

    public NotificationChain basicSetValidateElementName(XMLValueFunctionValidateElementName newValidateElementName,
                                                         NotificationChain msgs)

### setValidateElementName

    public void setValidateElementName(XMLValueFunctionValidateElementName newValidateElementName)

  Specified by:
    `setValidateElementName` in interface `XMLValueFunctionValidateElement`
  Parameters:
    `newValidateElementName` - the new value of the 'Validate Element Name' containment reference.
  See Also:
    `XMLValueFunctionValidateElement.getValidateElementName()`

### getValidateAccordingTo

    public XMLValueFunctionValidateAccordingTo getValidateAccordingTo()

  Specified by:
    `getValidateAccordingTo` in interface `XMLValueFunctionValidateElement`
  Returns:
    the value of the 'Validate According To' container reference.
  See Also:
    `XMLValueFunctionValidateElement.setValidateAccordingTo(XMLValueFunctionValidateAccordingTo)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateElement_ValidateAccordingTo()`, `XMLValueFunctionValidateAccordingTo.getValidateElement()`

### basicSetValidateAccordingTo

    public NotificationChain basicSetValidateAccordingTo(XMLValueFunctionValidateAccordingTo newValidateAccordingTo,
                                                         NotificationChain msgs)

### setValidateAccordingTo

    public void setValidateAccordingTo(XMLValueFunctionValidateAccordingTo newValidateAccordingTo)

  Specified by:
    `setValidateAccordingTo` in interface `XMLValueFunctionValidateElement`
  Parameters:
    `newValidateAccordingTo` - the new value of the 'Validate According To' container reference.
  See Also:
    `XMLValueFunctionValidateElement.getValidateAccordingTo()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.